Bug 236454 - lang/J: Update to j807-release
Summary: lang/J: Update to j807-release
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-10 16:33 UTC by João Neves
Modified: 2019-04-28 12:11 UTC (History)
0 users

See Also:


Attachments
J-807 patches (20.30 KB, patch)
2019-03-10 16:33 UTC, João Neves
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description João Neves 2019-03-10 16:33:03 UTC
Created attachment 202777 [details]
J-807 patches

Release notes: https://code.jsoftware.com/wiki/System/ReleaseNotes/J807

Maintainer's note: j808-release was, according to upstream, an erroneously named release, so as it stands j807-release is officially the latest supported release.

Port changes:
 - Add optional OpenMP support (disabled by default)
 - Prevent installation if OpenJDK is already installed (bug #236427)
Comment 1 João Neves 2019-03-25 14:49:10 UTC
Pinging to see if there's any feedback on this.
Comment 2 commit-hook freebsd_committer 2019-04-28 12:10:49 UTC
A commit references this bug:

Author: swills
Date: Sun Apr 28 12:10:04 UTC 2019
New revision: 500311
URL: https://svnweb.freebsd.org/changeset/ports/500311

Log:
  lang/J: Update to j807-release

  PR:		236454
  Submitted by:	Jo?o Neves <sevenjp@gmail.com> (maintainer)

Changes:
  head/lang/J/Makefile
  head/lang/J/distinfo
  head/lang/J/files/jconsole.in
  head/lang/J/files/patch-Makefile
  head/lang/J/files/patch-jlibrary_system_config_base.cfg
  head/lang/J/files/patch-jlibrary_system_main_regex.ijs
  head/lang/J/files/patch-jlibrary_system_main_stdlib.ijs
  head/lang/J/files/patch-jsrc_jeload.c
  head/lang/J/files/patch-make_build__jconsole.sh
  head/lang/J/files/patch-make_build__libj.sh
  head/lang/J/files/patch-make_build__tsdll.sh
  head/lang/J/files/patch-make_domake.sh
  head/lang/J/files/patch-make_jvars.sh
  head/lang/J/files/patch-make_makefile
  head/lang/J/files/patch-netdefs_netdefs.c
  head/lang/J/files/profile.ijs.in
  head/lang/J/pkg-plist
Comment 3 Steve Wills freebsd_committer 2019-04-28 12:11:11 UTC
Committed, thanks!